## com.baidubce.services.moladb.model
Class BatchGetItemRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.BatchGetItemRequest

    public class BatchGetItemRequest

extends AbstractBceRequest

Represents the input of a BatchGetItem operation.

Constructor Summary
`BatchGetItemRequest()` Constructs a new BatchGetItemRequest object.

Method Summary
`Map<String,KeysAndAttributes>` `getRequestItems()` Get the request Items set in this BatchGetItem operation.
`void` `setRequestItems(Map<String,KeysAndAttributes> requestItems)` Set the request items for BatchGetItem operation.
`String` `toString()` Return a string representation of request information.
`BatchGetItemRequest` `withRequestCredentials(BceCredentials credentials)`
`BatchGetItemRequest` `withRequestItems(Map<String,KeysAndAttributes> reqItems)` Set the request items for BatchGetItem operation.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BatchGetItemRequest

    public BatchGetItemRequest()

  Constructs a new BatchGetItemRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### setRequestItems

    public void setRequestItems(Map<String,KeysAndAttributes> requestItems)

  Set the request items for BatchGetItem operation.

  Parameters:
    `requestItems` - The request items for BatchGetItem operation.

### withRequestItems

    public BatchGetItemRequest withRequestItems(Map<String,KeysAndAttributes> reqItems)

  Set the request items for BatchGetItem operation.

  Parameters:
    `reqItems` - The request items for BatchGetItem operation.
  Returns:
    Returns a reference to the object so that method calls can be chained together.

### getRequestItems

    public Map<String,KeysAndAttributes> getRequestItems()

  Get the request Items set in this BatchGetItem operation.

  Returns:
    Returns the map of attributes with name and key, the type is in Map<String, KeysAndAttributes>.

### toString

    public String toString()

  Return a string representation of request information.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of request information.

### withRequestCredentials

    public BatchGetItemRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.